'use strict';

var keypairs = require('../');

var infile = process.argv[2];
var key = require('fs').readFileSync(infile).toString('ascii');
var pem;
var jwk;

try {
  jwk = JSON.parse(key);
} catch(e) {
  pem = key;
}

keypairs.import({ jwk: jwk, pem: pem }).then(function (keypair) {
  console.log(keypair);
}).catch(function (e) {
  console.error(e);
});
